%define url_ver	%(echo %{version}|cut -d. -f1,2)

#for bytecompile
%define __python %{__python3}

Name:           gaupol
Version:        0.24.3
Release:        %mkrel 4
Summary:        Subtitle editor
License:        GPLv3+
Group:          Video/Editors and Converters
URL:            http://home.gna.org/gaupol/
Source0:        http://download.gna.org/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         gaupol-0.23-strict-Gst-versions.patch
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:	python3-devel
#Requires:	gstreamer1.0-python
#Requires:	gstreamer1.0-pocketsphinx
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	python3-gobject3 >= 3.6.0
Requires:	python3-aeidon
Suggests:	python3-gtkspellcheck
Suggests:	fonts-ttf-paratype
Suggests:	mplayer

%description
Editor for text-based subtitle files. It supports multiple subtitle file
formats and provides means of correcting texts and timing subtitles to match
video. The user interface is designed with attention to batch processing of
multiple documents and convenience of translating.

%package i18n
Summary:	Internationalization and locale data for gaupol and python-aeidon
Group:		System/Internationalization

%description i18n
Internationalization and locale data for %{name} and python-aeidon.

%package -n python3-aeidon
Summary:	Python package for reading, writing and manipulating text-based subtitle files
Group:		Development/Python
Url:		http://download.gna.org/gaupol/doc/api/aeidon.html
Provides:	aeidon = %{version}-%{release}
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	iso-codes
Suggests:	python3-chardet
Suggests:	python3-enchant
Conflicts:	%{name} < 0.23

%description -n python3-aeidon
aeidon is a Python package that provides classes and functions for dealing
with text-based subtitle files of many different formats. Functions exist
for reading and writing subtitle files as well as manipulating subtitle data,
i.e. positions (times or frames) and texts.

%prep
%setup -q
%apply_patches

%build
python3 setup.py build

%install
python3 setup.py --without-iso-codes \
	clean install \
	--root=%{buildroot} \
	--prefix=%{_prefix} \
	--no-compile

%find_lang %{name}

%files i18n -f %{name}.lang

%files
%doc AUTHORS NEWS README TODO
%{_bindir}/gaupol
%{python3_sitelib}/gaupol*
%{_datadir}/applications/gaupol.desktop
%{_mandir}/man1/gaupol.1*
%dir %{_datadir}/gaupol/
%{_datadir}/gaupol/ui/
%{_datadir}/gaupol/extensions/
%{_datadir}/gaupol/icons/
%{_datadir}/icons/hicolor/*/apps/gaupol.*
%{_datadir}/appdata/gaupol.appdata.xml

%files -n python3-aeidon
%doc README.aeidon
%{python3_sitelib}/aeidon/
# aeidon shares data file location with gaupol
%{_datadir}/gaupol/headers/
%{_datadir}/gaupol/patterns/


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.24.3-4.mga4
+ Revision: 542567
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.24.3-3.mga4
+ Revision: 497755
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 11 2013 wally <wally> 0.24.3-2.mga4
+ Revision: 495266
- enable bytecompile again

* Sun Oct 06 2013 wally <wally> 0.24.3-1.mga4
+ Revision: 492311
- new version 0.24.3
- disable bytecompile for now

* Tue Sep 24 2013 wally <wally> 0.24.1-1.mga4
+ Revision: 485262
- new version 0.24.1

* Thu Jul 25 2013 wally <wally> 0.24-1.mga4
+ Revision: 458104
- new version 0.24

* Thu Jul 11 2013 wally <wally> 0.23-7.mga4
+ Revision: 453141
- fix strict Gst requires patch

* Mon Jul 08 2013 wally <wally> 0.23-6.mga4
+ Revision: 451465
- add patch to add strict requires to pull gstreamer1.0 pkgs

* Sat Jul 06 2013 wally <wally> 0.23-5.mga4
+ Revision: 450752
- add suggests for python3-gtkspellcheck to gaupol

* Sat Jul 06 2013 wally <wally> 0.23-4.mga4
+ Revision: 450733
- add suggests for python3-enchant to aiedon pkg

* Sat Jul 06 2013 wally <wally> 0.23-3.mga4
+ Revision: 450725
- move iso-codes require to aeidon pkg
- use iso-codes from external pkg
- add suggests for python3-chardet to aeidon pkg

* Fri Jun 28 2013 wally <wally> 0.23-2.mga4
+ Revision: 448107
- add suggests for fonts-ttf-paratype

* Fri Jun 28 2013 wally <wally> 0.23-1.mga4
+ Revision: 448071
- new version 0.23
- split out translations
- move some files from gaupol to aeidon pkg (they really comes from aeidon and pkgs shares data file location)

* Mon Jun 17 2013 wally <wally> 0.22-1.mga4
+ Revision: 444105
- new version 0.22
- switch to python3

* Sun Jan 20 2013 barjac <barjac> 0.19.2-4.mga3
+ Revision: 390247
- update group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 wally <wally> 0.19.2-2.mga3
+ Revision: 268195
- fix python-aeidon url
- clean .spec

* Sun Nov 27 2011 wally <wally> 0.19.2-1.mga2
+ Revision: 172754
- new version 0.19.2

* Thu Sep 08 2011 wally <wally> 0.19.1-1.mga2
+ Revision: 141108
- new version 0.19.1

* Mon Jul 18 2011 wally <wally> 0.19-1.mga2
+ Revision: 125980
- new version 0.19
- enable speech recognition support

* Wed Jun 08 2011 wally <wally> 0.18-1.mga2
+ Revision: 101922
- new version 0.18

* Sun Apr 10 2011 wally <wally> 0.17.2-1.mga1
+ Revision: 82771
- new version 0.17.2

* Sun Jan 16 2011 wally <wally> 0.17.1-1.mga1
+ Revision: 20422
- imported package gaupol


* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 0.17.1-1mdv2011.0
+ Revision: 594692
- new version 0.17.1
- drop obsolete py_requires macro
- disable byte-compiling

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.17-2mdv2011.0
+ Revision: 590864
- rebuild for py 2.7

* Sat Aug 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.17-1mdv2011.0
+ Revision: 567460
- update to 0.17
- remove 'mdkversion < 200900' bits, too old
- improve aeidon description

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 0.16.2-1mdv2011.0
+ Revision: 550055
- new version 0.16.2
- fix requires/suggests
- split aeidon to a separate package

* Wed Mar 24 2010 Jani Välimaa <wally@mandriva.org> 0.15.1-1mdv2010.1
+ Revision: 527161
- enable byte-compiling
- new version 0.15.1

* Sun May 17 2009 Funda Wang <fwang@mandriva.org> 0.15-1mdv2010.0
+ Revision: 376519
- New version 0.15

* Sat May 09 2009 Anssi Hannula <anssi@mandriva.org> 0.14-1mdv2010.0
+ Revision: 373585
- initial Mandriva release (by Jani V?\195?\164limaa)

